YAFLogo

jleuze
  • jleuze
  • 52.4% (Neutral)
  • YAF Forumling Topic Starter
13 years ago
Hi, I was recently tasked with moving an install of YAF to a new webhost.

Generally I try to avoid GoDaddy, but for cheap Windows-based web hosting, they seem adequate. Especially since YetAnotherForum is listed as one of the FREE Add-On Apps.

However, when I try to install YAF using GoDaddy's Hosting Connection, I get this error:

Quote:

"This product is not compatible with any of your hosting plans."

Has anyone else experienced this type of frustration with GoDaddy?

I also tried to manually install YAF, and received the following error:

Quote:

Runtime Error

Description: An application error occurred on the server. The current custom error settings for this application prevent the details of the application error from being viewed remotely (for security reasons). It could, however, be viewed by browsers running on the local server machine.

Details: To enable the details of this specific error message to be viewable on remote machines, please create a tag within a "web.config" configuration file located in the root directory of the current web application. This tag should then have its "mode" attribute set to "Off".

Notes: The current error page you are seeing can be replaced by a custom error page by modifying the "defaultRedirect" attribute of the application's configuration tag to point to a custom error page URL.

Do I need to make any special adjustments to get YAF to work on GoDaddy?

Sponsor

nsdtech
  • nsdtech
  • 56% (Neutral)
  • YAF Forumling
13 years ago
Hi

I just finished a self install on godaddy for YAF as a new forum. May be you can have a look at this thread -

http://forum.yetanotherforum.net/yaf_postst8725_Problem-installing-YAF-193-ASPNET-20-on-localhost.aspx 

Nightvision
13 years ago
Yes I saw this problem when I tried to install the Godaddy version of YAF. You need to go into the IIS settings and select the "modify" link, then change the version of .NET to 2.0/3.0/3.5. It will take a few minutes to update the changes and when it's done you'll be able to select YAF and install it.

However, before you do so consider one thing. The version of YAF that godaddy wants to install is 1.9.1, the current version is 1.9.3. IMO you're better off downloading the latest version of the forums from this website, then ftp'ing the files to the proper destination. It's slightly more work in that you'll have to manually create a database, then modify db.config to point to your new DB, but the upshot is that you'll be running the latest/greatest.

Oh, and either way you'll need to change the version of IIS to .NET 2.0/3.0/3.5.

EDIT - And one more thing. Because your website runs on a server farm you'll need to specify a machine key in your web.config so you're users can stay logged in... Check out this thread 

jleuze
  • jleuze
  • 52.4% (Neutral)
  • YAF Forumling Topic Starter
13 years ago
Thanks nsdtech and Nightvision, it's good to hear that YAF can actually run on GoDaddy!

I checked on the version of .NET as you suggested Nightvision, it was already set to 2.0/3.0/3.5., but I switched it down and then back up, and then it worked.

I then had the option to install YAF and it installed just fine, odd.

Normally I would opt for the latest version of any software, but the forum that I am moving happens to be running on 1.9.1, so I am planning to get it moved and then upgrade to 1.9.3.